Subject: Re: bdi2000 + mpc8560ads, very early breakpoints

From: Kylo Ginsberg <[email-masked]>
Date: Wed, 13 Apr 2005 11:59:15 -0700

Thanks; that was instructive.  I hadn't read up on the 85xx debug 
exceptions yet.

For posterity, my issue was that even though the code is running out of 
ddr at this stage, u-boot has left the IVPR pointed at flash.  So once 
head_e500.S invalidated the tlb entry for the flash region, the debug 
exception vector was inaccessible and a breakpoint sent the processor 
off the road.  As a workaround, I modified u-boot to re-point IVPR when 
it relocates itself into ddr.

Cheers,
Kylo

Fahd Abidi wrote:

>Try the suggestions pointed out in here:
>
>http://www.ultsol.com/faq-P308.htm
>
>This is based off suggestions from another customer. Let me know if this
>works for you or not.
>
>Fahd
>
>-----Original Message-----
>From: Kylo Ginsberg [mailto:[email-masked]] 
>Sent: Tuesday, April 12, 2005 3:21 PM
>To: [email-masked]
>Subject: bdi2000 + mpc8560ads, very early breakpoints
>
>I'm running a bdi2000 (with mpc85xx-gdb f/w 1.03) with a mpc8560ads 
>target, and I'm trying to set breakpoints early on in linux startup (in 
>the head_e500.S code that sets up tlb's).   I'm setting the breakpoints 
>from within the bdi telnet interface.
>
>I can:
>--succesfully hit a breakpoint set up to any instruction <= the address 
>of the first 'tlbwe'.
>--single step (with the bdi "TI" command) past that 'tlbwe' as far as 
>I've cared to try
>
>I cannot:
>--hit a breakpoint once the first 'tlbwe' has executed.  If I attempt to
>
>do so, linux startup doesn't proceed, I lose further communication with 
>the target and the BDI claims "COP Freeze" and I have to reset the
>target.
>
>Btw, the 'tlbwe' in question marks invalid the first tlb1 entry setup by
>
>u-boot, which pointed at flash address space.  Code is running out of 
>ram at this point.
>
>I'm probably missing something very basic here.  Any ideas?
>
>Thanks,
>Kylo
>
>_______________________________________________
>Linuxppc-embedded mailing list
>[email-masked]
>https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>
>_______________________________________________
>Linuxppc-embedded mailing list
>[email-masked]
>https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>
>  
>